Codebase list live-build / 7c8c493
Imported Upstream version 3.0.5 Raphaƫl Hertzog 10 years ago
57 changed file(s) with 394 addition(s) and 233 deletion(s). Raw diff Collapse all Expand all
0 3.0.1-1
0 3.0.5-1
2929 man live-build
3030 exit 0
3131 else
32 Echo "live-build is a set of scripts to build Debian Live system images."
33 echo
34 Echo "The idea behind live-build is a framework that uses a configuration directory to completely automate and customize all aspects of building a Live image."
32 Echo "live-build contains the scripts to build a Debian Live system from a configuration directory."
3533 echo
3634 Echo "An introduction to live-build can be found in the live-build(7) manpage."
35
3736 exit 0
3837 fi
+0
-26
contrib/grub-splash/lenny/COPYING less more
0 The grub splash for Debian Live was made by Daniel Baumann <[email protected]>
1 based on the original work of Mark Riedesel.
2
3 The contribution of Daniel is hereby placed in the public domain (no rights
4 reserved).
5
6 ---------------
7 http://dugnet.com/klown/pics/klowner_debboot.png
8 by Mark Riedesel, license same as open use logo
9
10 To create klowner.rle:
11
12 1. convert klowner.png klowner.bmp
13 2. bmptoppm < klowner.bmp | ppmtolss16 #FBFDFA=7 > klowner.rle
14
15 (FBFDFA is the color used for the inside of the "n" in Debian.)
16 ---------------
17
18 Debian Open Use Logo License
19
20 Copyright (c) 1999 Software in the Public Interest
21 This logo or a modified version may be used by anyone to refer to the Debian
22 project, but does not indicate endorsement by the project.
23
24 Note: we would appreciate that you make the image a link to
25 http://www.debian.org/ if you use it on a web page.
contrib/grub-splash/lenny/klowner.rle less more
Binary diff not shown
contrib/grub-splash/lenny/klowner_debboot.png less more
Binary diff not shown
contrib/grub-splash/lenny/live.xpm.gz less more
Binary diff not shown
contrib/grub-splash/lenny/live_debboot.png less more
Binary diff not shown
00 #!/bin/sh
11
2 set -e
3
24 lb build noauto "${@}" 2>&1 | tee build.log
00 #!/bin/sh
1
2 set -e
13
24 lb clean noauto "${@}"
35
00 #!/bin/sh
1
2 set -e
13
24 lb config noauto \
35 "${@}"
3030 # Sending http header
3131 echo "Content-type: text/html"
3232 echo
33
34 #QUERY_STRING=`cat /dev/stdin`
35 QUERY_STRING=$(cat /dev/stdin)
36 # Translate parameters
37 QUERY_STRING=$(echo "${QUERY_STRING}" | sed -e 's/%2F/\//g' -e 's/+/ /g' -e 's/%3B/;/g' -e 's/%7E/~/g' -e 's/%3A/:/g' -e 's/%40/@/g' -e 's/%3D/=/g' -e 's/%2B/+/g')
38 # Debug the filtering string
39 # echo ${QUERY_STRING}
40
3341
3442 # Sending html header
3543 cat "${_TEMPLATES}"/header.html
5058 # Converting '~': sed 's/%7E/\~/g'
5159 # Converting '=': sed 's/%3D/=/g'
5260 # Converting '+': sed 's/%2B/+/g'
53
54 # Translate parameters
55 QUERY_STRING=$(echo "${QUERY_STRING}" | sed -e 's/%2F/\//g' -e 's/+/ /g' -e 's/%3B/;/g' -e 's/%7E/~/g' -e 's/%3A/:/g' -e 's/%40/@/g' -e 's/%3D/=/g' -e 's/%2B/+/g')
56 # Debug the filtering string
57 # echo ${QUERY_STRING}
5861
5962 # Email
6063 _EMAIL=$(echo "${QUERY_STRING}" | grep -oE '(^|[?&])email=[-0-9a-zA-Z._@]+' | cut -f 2 -d '=' | head -n1)
6262 # Pull in variables from the build file.
6363 . "${_FILE}"
6464
65 # Drop out some build data for information if something goes wrong.
66 echo "`date +%b\ %d\ %H:%M:%S` ${_HOSTNAME} live-build-cgi: begin web build (${_BUILD})." >> /var/log/live
67
6568 # Clone the git config to target build directory
6669 git clone ${_LB_GIT} "${_TEMPDIR}"/"${_BUILD}" >> /var/log/live
6770 _ERRORGIT="${?}"
6871
72 # Sanity check to default to something since we are going to build from git clone.
73 if [ -z "${_LB_CONFIG}" ]
74 then
75 _LB_CONFIG="standard"
76 fi
77
6978 # Now set a variable for the correct build path
7079 _BUILD_PATH="${_TEMPDIR}/${_BUILD}/images/${_LB_CONFIG}"
7180
72 # Drop out some build data for information if something goes wrong.
73 echo "`date +%b\ %d\ %H:%M:%S` ${_HOSTNAME} live-build-cgi: begin web build (${_BUILD})." >> /var/log/live
81 _DATE_START="`date -R`"
82 echo "Begin live-build-cgi: ${_DATE_START}" > "${_BUILD_PATH}"/log
83 echo "Info live-build-cgi: Config tree cloned from ${_LB_GIT} for build ${_BUILD}" >> "${_BUILD_PATH}"/log
7484
7585 # Creating directory for the config/package-lists
7686 mkdir -p "${_BUILD_PATH}"/config/package-lists
8191 echo "${_LB_CGIPACKAGES}" > "${_BUILD_PATH}"/config/package-lists/cgipackages.list.chroot
8292 fi
8393
84 _DATE_START="`date -R`"
85 echo "Begin: ${_DATE_START}" > "${_BUILD_PATH}"/log
86
8794 # Generating config here
8895 if [ "${_ERRORGIT}" -eq "0" ]
8996 then
9097 cd "${_BUILD_PATH}"
9198 # Do config with git and stack on config file params to build
92 lb config --distribution "${LB_DISTRIBUTION}" --architectures "${LB_ARCHITECTURES}" --archive-areas "${LB_ARCHIVE_AREAS}" --chroot-filesystem "${LB_CHROOT_FILESYSTEM}" --linux-flavours "${LB_LINUX_FLAVOURS}" --security "${LB_SECURITY}" --apt-indices "${LB_APT_INDICES}" --bootappend-install "${LB_BOOTAPPEND_INSTALL}" --bootappend-live "${LB_BOOTAPPEND_LIVE}" --bootloader "${LB_BOOTLOADER}" --debian-installer "${LB_DEBIAN_INSTALLER}" --iso-application "${LB_ISO_APPLICATION}" --iso-preparer "${LB_ISO_PREPARER}" --iso-publisher "${LB_ISO_PUBLISHER}" --iso-volume "${LB_ISO_VOLUME}" --memtest "${LB_MEMTEST}" --net-root-path "${LB_NET_ROOT_PATH}" --net-root-server "${LB_NET_ROOT_SERVER}" --source-images "${LB_SOURCE_IMAGES}" --source "${LB_SOURCE}"
99 lb config ${_CGI_CONFIG_APPEND} --distribution "${LB_DISTRIBUTION}" --binary-images "${LB_BINARY_IMAGES}" --architectures "${LB_ARCHITECTURES}" --archive-areas "${LB_ARCHIVE_AREAS}" --chroot-filesystem "${LB_CHROOT_FILESYSTEM}" --linux-flavours "${LB_LINUX_FLAVOURS}" --security "${LB_SECURITY}" --apt-indices "${LB_APT_INDICES}" --bootappend-install "${LB_BOOTAPPEND_INSTALL}" --bootappend-live "${LB_BOOTAPPEND_LIVE}" --bootloader "${LB_BOOTLOADER}" --debian-installer "${LB_DEBIAN_INSTALLER}" --iso-application "${LB_ISO_APPLICATION}" --iso-preparer "${LB_ISO_PREPARER}" --iso-publisher "${LB_ISO_PUBLISHER}" --iso-volume "${LB_ISO_VOLUME}" --memtest "${LB_MEMTEST}" --net-root-path "${LB_NET_ROOT_PATH}" --net-root-server "${LB_NET_ROOT_SERVER}" --source-images "${LB_SOURCE_IMAGES}" --source "${LB_SOURCE}"
93100 _ERRORCONFIG="${?}"
94101 else
95 echo "Config stage skipped. The git clone produced an error: ${_ERRORGIT}" > "${_BUILD_PATH}"/log
102 echo "Config stage skipped. The git clone produced an error: ${_ERRORGIT}" >> "${_BUILD_PATH}"/log
96103 fi
97104
98105 # Run build if config went ok
101108 lb build >> "${_BUILD_PATH}"/log 2>&1
102109 _ERRORBUILD="${?}"
103110 else
104 echo "Build stage skipped. Config produced an error: ${_ERRORCONFIG}" > "${_BUILD_PATH}"/log
111 echo "Build stage skipped. Config produced an error: ${_ERRORCONFIG}" >> "${_BUILD_PATH}"/log
105112 fi
106113
107114 _DATE_END="`date -R`"
1212 _SERVER="http://live.debian.net/build"
1313
1414 _LB_GIT="git://live-systems.org/git/live-images.git"
15
16 _CGI_CONFIG_APPEND=""
361361
362362 progress-linux)
363363 LB_PARENT_MIRROR_BOOTSTRAP="${LB_PARENT_MIRROR_BOOTSTRAP:-http://ftp.debian.org/debian/}"
364 LB_MIRROR_BOOTSTRAP="${LB_MIRROR_BOOTSTRAP:-http://cdn.archive.progress-linux.org/progress/}"
364 LB_MIRROR_BOOTSTRAP="${LB_MIRROR_BOOTSTRAP:-http://cdn.archive.progress-linux.org/packages/}"
365365 ;;
366366
367367 ubuntu)
444444 # Setting backports mirror to fetch packages from
445445 case "${LB_MODE}" in
446446 debian)
447 LB_MIRROR_CHROOT_BACKPORTS="${LB_MIRROR_CHROOT_BACKPORTS:-http://backports.debian.org/debian-backports/}"
447 case "${LB_DISTRIBUTION}" in
448 squeeze)
449 LB_MIRROR_CHROOT_BACKPORTS="${LB_MIRROR_CHROOT_BACKPORTS:-http://backports.debian.org/debian-backports/}"
450 ;;
451
452 *)
453 LB_MIRROR_CHROOT_BACKPORTS="${LB_MIRROR_CHROOT_BACKPORTS:-${LB_MIRROR_CHROOT}}"
454 ;;
455 esac
456
448457 LB_PARENT_MIRROR_CHROOT_BACKPORTS="${LB_PARENT_MIRROR_CHROOT_BACKPORTS:-${LB_MIRROR_CHROOT_BACKPORTS}}"
449458 ;;
450459
556565 # Setting backports mirror which ends up in the image
557566 case "${LB_MODE}" in
558567 debian)
559 LB_MIRROR_BINARY_BACKPORTS="${LB_MIRROR_BINARY_BACKPORTS:-http://http.debian.net/debian-backports/}"
568 case "${LB_DISTRIBUTION}" in
569 squeeze)
570 LB_MIRROR_BINARY_BACKPORTS="${LB_MIRROR_BINARY_BACKPORTS:-http://http.debian.net/debian-backports/}"
571 ;;
572
573 *)
574 LB_MIRROR_BINARY_BACKPORTS="${LB_MIRROR_BINARY_BACKPORTS:-${LB_MIRROR_BINARY}}"
575 ;;
576 esac
577
560578 LB_PARENT_MIRROR_BINARY_BACKPORTS="${LB_PARENT_MIRROR_BINARY_BACKPORTS:-${LB_MIRROR_BINARY_BACKPORTS}}"
561579 ;;
562580
812830
813831 # Setting updates updates option
814832 case "${LB_PARENT_DISTRIBUTION}" in
815 wheezy|jessie|sid)
833 jessie|sid)
816834 LB_UPDATES="${LB_UPDATES:-false}"
817835 ;;
818836
848866 # Setting apt indices
849867 case "${LB_MODE}" in
850868 progress-linux)
851 LB_APT_INDICES="${LB_APT_INDICES:-none}"
869 LB_APT_INDICES="${LB_APT_INDICES:-false}"
852870 ;;
853871
854872 *)
12001218 fi
12011219 fi
12021220
1221 if echo ${LB_HDD_LABEL} | grep -qs ' '
1222 then
1223 Echo_error "There are currently no whitespaces supported in hdd labels."
1224
1225 exit 1
1226 fi
1227
12031228 if [ "${LB_DEBIAN_INSTALLER}" != "false" ]
12041229 then
12051230 # d-i true, no caching
2222 @if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
2323 then \
2424 echo "E: po4a - command not found"; \
25 echo "I: po4a can be optained from http://po4a.alioth.debian.org/"; \
25 echo "I: po4a can be obtained from http://po4a.alioth.debian.org/"; \
2626 echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
2727 exit 1; \
2828 fi
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb\fR \- wrapper for live\-build programs
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb binary\fR \- Complete the binary stage
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb bootstrap\fR \- Complete the bootstrap stage
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb build\fR \- Complete the bootstrap, chroot, binary, and source stages
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb chroot\fR \- Complete the chroot stage
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb clean\fR \- Clean build directory
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb config\fR \- Create config directory
1414 .br
1515 [\fB\-\-apt\-http\-proxy\fR \fIURL\fR]
1616 .br
17 [\fB\-\-apt\-indices\fR true|false|none]
17 [\fB\-\-apt\-indices\fR true|false]
1818 .br
1919 [\fB\-\-apt\-options\fR \fIOPTION\fR|"\fIOPTIONS\fR"]
2020 .br
248248 sets the ftp proxy to be used by apt. By default, this is empty. Note that this variable is only for the proxy that gets used by apt internally within the chroot, it is not used for anything else.
249249 .IP "\fB\-\-apt\-http\-proxy\fR \fIURL\fR" 4
250250 sets the http proxy to be used by apt. By default, this is empty. Note that this variable is only for the proxy that gets used by apt internally within the chroot, it is not used for anything else.
251 .IP "\fB\-\-apt\-indices\fR true|false|none" 4
252 defines if the resulting images should have apt indices or not and defaults to true. If set to none, no indices are included at all.
251 .IP "\fB\-\-apt\-indices\fR true|false" 4
252 defines if the resulting images should have apt indices or not and defaults to true.
253253 .IP "\fB\-\-apt\-options\fR \fIOPTION\fR|""\fIOPTIONS\fR""" 4
254254 defines the default options that will be appended to every apt call that is made inside chroot during the building of the image. By default, this is set to \-\-yes to allow non-interactive installation of packages.
255255 .IP "\fB\-\-aptitude\-options\fR \fIOPTION\fR|""\fIOPTIONS\fR""" 4
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb source\fR \- Complete the source stage
0 .TH LIVE\-BUILD 1 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 1 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlb testroot\fR \- Ensure that a system is built as root
0 .TH LIVE\-BUILD 7 2013\-02\-14 3.0.1-1 "Debian Live Project"
0 .TH LIVE\-BUILD 7 2013\-04\-30 3.0.5-1 "Debian Live Project"
11
22 .SH NAME
33 \fBlive\-build\fR \- the Debian Live tool suite
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.1-1"
31 msgid "2013-04-30"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.1-1"
31 msgid "2013-04-30"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.1-1"
31 msgid "2013-04-30"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.1-1"
31 msgid "2013-04-30"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.1-1"
31 msgid "2013-04-30"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
31 msgid "2013-04-30"
3232 msgstr ""
3333
3434 #. type: TH
3636 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
3737 #: en/lb_testroot.1:1 en/live-build.7:1
3838 #, no-wrap
39 msgid "3.0.1-1"
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
31 msgid "2013-04-30"
3232 msgstr ""
3333
3434 #. type: TH
3636 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
3737 #: en/lb_testroot.1:1 en/live-build.7:1
3838 #, no-wrap
39 msgid "3.0.1-1"
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
196196
197197 #. type: Plain text
198198 #: en/lb_config.1:19
199 msgid " [B<--apt-indices> true|false|none]"
199 msgid " [B<--apt-indices> true|false]"
200200 msgstr ""
201201
202202 #. type: Plain text
819819 #. type: IP
820820 #: en/lb_config.1:252
821821 #, no-wrap
822 msgid "B<--apt-indices> true|false|none"
822 msgid "B<--apt-indices> true|false"
823823 msgstr ""
824824
825825 #. type: Plain text
826826 #: en/lb_config.1:254
827827 msgid ""
828828 "defines if the resulting images should have apt indices or not and defaults "
829 "to true. If set to none, no indices are included at all."
829 "to true."
830830 msgstr ""
831831
832832 #. type: IP
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.1-1"
31 msgid "2013-04-30"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.1-1"
31 msgid "2013-04-30"
32 msgstr ""
33
34 #. type: TH
35 #: en/lb.1:1 en/lb_binary.1:1 en/lb_bootstrap.1:1 en/lb_build.1:1
36 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
37 #: en/lb_testroot.1:1 en/live-build.7:1
38 #, no-wrap
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
66 msgid ""
77 msgstr ""
88 "Project-Id-Version: live-build VERSION\n"
9 "POT-Creation-Date: 2013-02-14 19:31+0100\n"
9 "POT-Creation-Date: 2013-04-30 10:25+0300\n"
1010 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
1111 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
1212 "Language-Team: LANGUAGE <[email protected]>\n"
2828 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
2929 #: en/lb_testroot.1:1 en/live-build.7:1
3030 #, no-wrap
31 msgid "2013-02-14"
31 msgid "2013-04-30"
3232 msgstr ""
3333
3434 #. type: TH
3636 #: en/lb_chroot.1:1 en/lb_clean.1:1 en/lb_config.1:1 en/lb_source.1:1
3737 #: en/lb_testroot.1:1 en/live-build.7:1
3838 #, no-wrap
39 msgid "3.0.1-1"
39 msgid "3.0.5-1"
4040 msgstr ""
4141
4242 #. type: TH
805805
806806 case "${LB_PARENT_DISTRIBUTION}" in
807807 wheezy)
808 DISTRIBUTIONS="testing"
808 DISTRIBUTIONS="stable"
809809 ;;
810810
811811 *)
907907 fi
908908 fi
909909
910 case "${LB_MODE}" in
911 progress-linux)
912 mv binary/install binary/installer
913
914 rm -f binary/debian
915
916 for _DIRECTORY in dists pool project firmware
917 do
918 if [ -e "${_DIRECTORY}" ]
919 then
920 mv binary/"${_DIRECTORY}" binary/installer
921 fi
922 done
923 ;;
924 esac
925
910926 # Saving cache
911927 Save_cache cache/packages.binary
912928
174174 case "${LB_BUILD_WITH_CHROOT}" in
175175 true)
176176 Chroot chroot "parted -s ${FREELO} mklabel ${PARTITION_TABLE_TYPE}" || true
177 Chroot chroot "parted -s ${FREELO} mkpart primary ${PARTITION_TYPE} 0.0 100%" || true
177 Chroot chroot "parted -s ${FREELO} mkpart primary ${PARTITION_TYPE} 0% 100%" || true
178178 Chroot chroot "parted -s ${FREELO} set 1 boot on" || true
179179 Chroot chroot "parted -s ${FREELO} set 1 lba off" || true
180180
186186
187187 false)
188188 parted -s ${FREELO} mklabel ${PARTITION_TABLE_TYPE} || true
189 parted -s ${FREELO} mkpart primary ${PARTITION_TYPE} 0.0 100% || true
189 parted -s ${FREELO} mkpart primary ${PARTITION_TYPE} 0% 100% || true
190190 parted -s "${FREELO}" set 1 boot on || true
191191 parted -s "${FREELO}" set 1 lba off || true
192192
2323 Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
2424 Set_defaults
2525
26 if [ "${LB_LOADLIN}" != "true" ]
26 if [ "${LB_LOADLIN}" != "true" ] || [ "${LB_BINARY_IMAGES}" = "netboot" ]
2727 then
2828 exit 0
2929 fi
149149 # Copy in two steps since the theme can have absolute symlinks and would therefore not be dereferenced correctly
150150 cp -a ${_SOURCE} chroot/root
151151 Chroot chroot cp -aL /root/$(basename ${_SOURCE}) /root/$(basename ${_SOURCE}).tmp || true
152 rm -rf chroot/$(basename ${_SOURCE})
152 rm -rf chroot/root/$(basename ${_SOURCE})
153153 mv chroot/root/$(basename ${_SOURCE}).tmp ${_TARGET}
154154 ;;
155155
8484 kernel=linux
8585 arch=${LB_ARCHITECTURES}
8686 default_desktop=gnome
87 i386/linux=install/vmlinuz
88 i386/initrd=install/initrd.gz
87 ${LB_ARCHITECTURES}/linux=install/vmlinuz
88 ${LB_ARCHITECTURES}/initrd=install/initrd.gz
8989 EOF
9090
91 if [ -e install/gtk ]
91 if [ -e binary/install/gtk ]
9292 then
9393
9494 cat >> binary/win32-loader.ini << EOF
95 i386/gtk/linux=install/vmlinuz
96 i386/gtk/initrd=install/gtk/initrd.gz
95 ${LB_ARCHITECTURES}/gtk/linux=install/vmlinuz
96 ${LB_ARCHITECTURES}/gtk/initrd=install/gtk/initrd.gz
9797 EOF
9898
9999 fi
3131 case "${LB_MODE}" in
3232 progress-linux)
3333 case "${LB_DISTRIBUTION}" in
34 artax*)
35 _KEYS="1.0-artax 1.0-artax-packages"
34 artax)
35 _KEYS="1.0-artax"
3636 ;;
3737
38 baureo*)
39 _KEYS="2.0-baureo 2.0-baureo-packages"
38 artax-backports)
39 _KEYS="1.0-artax 1.9-artax-backports"
4040 ;;
4141
42 chairon*)
43 _KEYS="3.0-chairon 3.0-chairon-packages"
42 baureo)
43 _KEYS="2.0-baureo"
44 ;;
45
46 baureo-backports)
47 _KEYS="2.0-baureo 2.9-baureo-backports"
48 ;;
49
50 chairon)
51 _KEYS="3.0-chairon"
52 ;;
53
54 chairon-backports)
55 _KEYS="3.0-chairon 3.9-chairon-backports"
4456 ;;
4557 esac
4658
5567 wget -q "${_URL}/archive-key-${_KEY}.asc" -O chroot/key.asc
5668 wget -q "${_URL}/archive-key-${_KEY}.asc.sig" -O chroot/key.asc.sig
5769
58 if [ -e /usr/bin/gpgv ] && [ -e /usr/share/keyrings/debian-keyring.gpg ]
70 if [ -e /usr/bin/gpgv ]
5971 then
60 Echo_message "Verifying archive-key ${_KEY} against debian-keyring..."
72 if [ -e /usr/share/keyrings/debian-keyring.gpg ] || [ -e /usr/share/keyrings/debian-maintainers.gpg ]
73 then
74 _KEY_VALID=""
6175
62 /usr/bin/gpgv --quiet --keyring /usr/share/keyrings/debian-keyring.gpg chroot/key.asc.sig chroot/key.asc > /dev/null 2>&1 || { Echo_error "archive-key ${_KEY} has invalid signature."; return 1;}
76 for _KEYRING in /usr/share/keyrings/debian-keyring.gpg /usr/share/keyrings/debian-maintainers.gpg
77 do
78 if [ -e "${_KEYRING}" ]
79 then
80 Echo_message "Verifying archive-key ${_KEY} against $(basename ${_KEYRING} .gpg | sed -e 's|-keyring||') keyring..."
81
82 set +e
83 /usr/bin/gpgv --quiet --keyring ${_KEYRING} chroot/key.asc.sig chroot/key.asc > /dev/null 2>&1 && _KEY_VALID="true" && break
84 set -e
85 fi
86 done
87
88 case "${_KEY_VALID}" in
89 true)
90 Echo_message "Verifying ${_KEY} signature successful."
91 ;;
92
93 *)
94 Echo_error "Verifying ${_KEY} signature failed."
95 return 1
96 ;;
97 esac
98 else
99 Echo_warning "Skipping archive-key ${_KEY} verification, debian-keyring not available..."
100 fi
63101 else
64 Echo_warning "Skipping archive-key ${_KEY} verification, either gpgv or debian-keyring not available on host system..."
102 Echo_warning "Skipping archive-key ${_KEY} verification, gpgv not available..."
65103 fi
66104
67105 Echo_message "Importing archive-key ${_KEY}..."
3131 if [ ! -x "$(which cdebootstrap 2>/dev/null)" ]
3232 then
3333 echo "E: cdebootstrap - command not found"
34 echo "I: cdebootstrap can be optained from http://ftp.debian.org/debian/pool/main/d/cdebootstrap/"
35 echo "I: On Debian based systems, cdebootstrap can be installed with 'apt-get install debootstrap'."
34 echo "I: cdebootstrap can be obtained from http://ftp.debian.org/debian/pool/main/d/cdebootstrap/"
35 echo "I: On Debian based systems, cdebootstrap can be installed with 'apt-get install cdebootstrap'."
3636 exit 1
3737 fi
3838
3131 if [ ! -x "$(which debootstrap 2>/dev/null)" ]
3232 then
3333 echo "E: debootstrap - command not found"
34 echo "I: debootstrap can be optained from http://ftp.debian.org/debian/pool/main/d/debootstrap/"
34 echo "I: debootstrap can be obtained from http://ftp.debian.org/debian/pool/main/d/debootstrap/"
3535 echo "I: On Debian based systems, debootstrap can be installed with 'apt-get install debootstrap'."
3636 exit 1
3737 fi
365365
366366 if [ "${LB_APT_SECURE}" = "true" ]
367367 then
368 _LB_DOTGNUPG_EXISTED=0
369 if [ -d chroot/root/.gnupg ]
370 then
371 _LB_DOTGNUPG_EXISTED=1
372 fi
373
374 # Ensure ~/.gnupg exists (required for gnupg >= ~1.4.9)
368 if [ -e chroot/root/.gnupg ]
369 then
370 mv chroot/root/.gnupg chroot/root/.gnupg.orig
371 fi
372
373 # Ensure ~/.gnupg exists
375374 mkdir -p chroot/root/.gnupg
376375
377376 # Temporarily replace /dev/random with /dev/urandom so as not
435434 mv chroot/dev/random.orig chroot/dev/random
436435 fi
437436
438 # Remove /root/.gnupg if we created it during the signing process
439 if [ "${_LB_DOTGNUPG_EXISTED}" -eq 0 ]
440 then
441 rm -rf chroot/root/.gnupg
437 rm -rf chroot/root/.gnupg
438
439 if [ -e chroot/root/.gnupg.orig ]
440 then
441 mv chroot/root/.gnupg.orig chroot/root/.gnupg
442442 fi
443443 fi
444444
3939 # Creating lock file
4040 Create_lockfile .lock
4141
42 # Save start-stop-daemon program
43 mv chroot/sbin/start-stop-daemon chroot/sbin/start-stop-daemon.orig
44
45 # Create start-stop-daemon program
42 # Create custom start-stop-daemon program
43 Chroot chroot dpkg-divert --rename --quiet --add /sbin/start-stop-daemon
4644
4745 cat > chroot/sbin/start-stop-daemon << EOF
4846 #!/bin/sh
5957 EOF
6058
6159 # Manual hacks for special packages
60
61 # Generic live-build handle for other live packages to act upon
62 touch chroot/.live-build
6263
6364 # samhain
6465 if [ -e /var/state/samhain/samhain_file ]
8889
8990 # Manual hacks for special packages
9091
92 # Generic live-build handle
93 rm -f chroot/.live-build
94
9195 # flash-kernel
9296 rm -f chroot/usr/sbin/flash-kernel
9397 Chroot chroot dpkg-divert --rename --quiet --remove /usr/sbin/flash-kernel
102106 ${LB_ROOT_COMMAND} rmdir --ignore-fail-on-non-empty /var/state/samhain || true
103107 fi
104108
105 # Restore start-stop-daemon program
106 if [ -e chroot/sbin/start-stop-daemon.orig ]
107 then
108 mv chroot/sbin/start-stop-daemon.orig chroot/sbin/start-stop-daemon
109 fi
109 # Remove custom start-stop-daemon program
110 rm -f chroot/sbin/start-stop-daemon
111 Chroot chroot dpkg-divert --rename --quiet --remove /sbin/start-stop-daemon
110112
111113 # Remove dpkg sync configuration
112114 rm -f chroot/etc/dpkg/dpkg.cfg.d/live-build
2828
2929 case "${1}" in
3030 install)
31 Echo_message "Configuring file /etc/hostname"
32
3331 # Checking stage file
3432 Check_stagefile .build/chroot_hostname
3533
3937 # Creating lock file
4038 Create_lockfile .lock
4139
42 # Save hostname
43 mv chroot/bin/hostname chroot/bin/hostname.orig
40 # Create hostname file
41 Echo_message "Configuring file /etc/hostname"
4442
45 # Create hostname file
4643 echo "localhost.localdomain" > chroot/etc/hostname
4744
45 # Create custom hostname
4846 Echo_message "Configuring file /bin/hostname"
4947
50 # Create hostname program
48 Chroot chroot dpkg-divert --rename --quiet --add /bin/hostname
5149
5250 cat > chroot/bin/hostname << EOF
5351 #!/bin/sh
7876
7977 Echo_message "Deconfiguring file /bin/hostname"
8078
81 # Restore hostname file
82 if [ -e chroot/bin/hostname.orig ]
83 then
84 mv chroot/bin/hostname.orig chroot/bin/hostname
85 fi
79 # Remove custom hostname
80 rm -f chroot/bin/hostname
81 Chroot chroot dpkg-divert --rename --quiet --remove /bin/hostname
8682
8783 # Removing stage file
8884 rm -f .build/chroot_hostname
8181 then
8282 # Generating package list
8383 Expand_packagelist "$(basename ${LIST})" "config/package-lists" \
84 >> chroot/root/packages.chroot
84 | grep -v '^#' >> chroot/root/packages.chroot
8585 fi
8686 done
8787
3939 # Creating lock file
4040 Create_lockfile .lock
4141
42 if [ -f chroot/usr/sbin/policy-rc.d ]
42 if [ -e chroot/usr/sbin/policy-rc.d ]
4343 then
4444 # Save policy-rc.d file
45 mv chroot/usr/sbin/policy-rc.d chroot/usr/sbin/policy-rc.d.orig
45 Chroot chroot dpkg-divert --rename --quiet --add /usr/sbin/policy-rc.d
4646 fi
4747
4848 # Create policy-rc.d file
6767 # Creating lock file
6868 Create_lockfile .lock
6969
70 if [ -f chroot/usr/sbin/policy-rc.d.orig ]
70 # Remove custom policy-rc.d file
71 rm -f chroot/usr/sbin/policy-rc.d
72
73 if [ -e chroot/usr/sbin/policy-rc.d.distrib ]
7174 then
7275 # Restore policy-rc.d file
73 mv chroot/usr/sbin/policy-rc.d.orig chroot/usr/sbin/policy-rc.d
74 else
75 # Remove policy-rc.d file
76 rm -f chroot/usr/sbin/policy-rc.d
76 Chroot chroot dpkg-divert --rename --quiet --remove /usr/sbin/policy-rc.d
7777 fi
7878
7979 # Removing stage file
2626 # Requiring stage file
2727 Require_stagefile .build/config .build/bootstrap
2828
29 # Check if system uses upstart
30 if [ ! -e chroot/sbin/initctl ]
31 then
32 exit 0
33 fi
34
2935 case "${1}" in
3036 install)
3137 Echo_message "Configuring file /sbin/initctl"
3945 # Creating lock file
4046 Create_lockfile .lock
4147
42 if [ -f chroot/sbin/initctl ]
43 then
44 # Save initctl file
45 mv chroot/sbin/initctl chroot/sbin/initctl.orig
46 fi
48 # Create custom initctl file
49 Chroot chroot dpkg-divert --rename --quiet --add /sbin/initctl
4750
48 # Create initctl file
4951 cat > chroot/sbin/initctl << EOF
5052 #!/bin/sh
5153 echo "All runlevel operations denied by policy" >&2
6769 # Creating lock file
6870 Create_lockfile .lock
6971
70 if [ -f chroot/sbin/initctl.orig ]
71 then
72 # Restore initctl file
73 mv chroot/sbin/initctl.orig chroot/sbin/initctl
74 else
75 # Remove initctl file
76 rm -f chroot/sbin/initctl
77 fi
72 # Remove custom initctl file
73 rm -f chroot/sbin/initctl
74 Chroot chroot dpkg-divert --rename --quiet --remove /sbin/initctl
7875
7976 # Removing stage file
8077 rm -f .build/chroot_upstart
1818 USAGE="${PROGRAM} [--apt apt|aptitude]\n\
1919 \t [--apt-ftp-proxy URL]\n\
2020 \t [--apt-http-proxy URL]\n\
21 \t [--apt-indices true|false|none]\n\
21 \t [--apt-indices true|false\n\
2222 \t [--apt-options OPTION|\"OPTIONS\"]\n\
2323 \t [--aptitude-options OPTION|\"OPTIONS\"]\n\
2424 \t [--apt-pipeline DEPTH]\n\
924924 fi
925925
926926 # Reading system configuration
927 if ! In_list "--ignore-system-defaults" "${@}"
927 if ls /etc/live/build.conf > /dev/null 2>&1 || ls /etc/live/build/* > /dev/null 2>&1
928928 then
929 Echo_message "Considering defaults defined in %s" "/etc/live/build.conf"
930
931 Read_conffiles /etc/live/build.conf /etc/live/build/*
929 if In_list "--ignore-system-defaults" "${@}"
930 then
931 Echo_message "Ignoring defaults in %s" "/etc/live/build.conf"
932 else
933 Echo_message "Using defaults in %s" "/etc/live/build.conf"
934
935 Read_conffiles /etc/live/build.conf /etc/live/build/*
936 fi
932937 fi
933938
934939 # Reading existing configuration
949954
950955 if [ ! -e config ]
951956 then
952 Echo_message "Creating config tree for a ${LB_MODE}/${LB_ARCHITECTURES} system"
957 Echo_message "Creating config tree for a ${LB_MODE}/${LB_DISTRIBUTION}/${LB_ARCHITECTURES} system"
953958 else
954 Echo_message "Updating config tree for a ${LB_MODE}/${LB_ARCHITECTURES} system"
959 Echo_message "Updating config tree for a ${LB_MODE}/${LB_DISTRIBUTION}/${LB_ARCHITECTURES} system"
955960 fi
956961
957962 # Creating bootstrap configuration
5050 lb source_debian-live ${@}
5151 lb source_debian ${@}
5252 lb source_disk ${@}
53 lb source_hooks ${@}
5354 lb source_checksums ${@}
5455
5556 # Building images
5454 cat >> source-selection.txt << EOF
5555 ${LB_BOOTLOADER}
5656 live-build
57 xorriso
58 parted
59 squashfs-tools
60 mtd-tools
6157 EOF
58
59 case "${LB_BINARY_IMAGES}" in
60 iso*)
61 echo "xorriso" >> source-selection.txt
62 ;;
63
64 hdd*)
65 echo "parted" >> source-selection.txt
66 ;;
67 esac
68
69 case "${LB_CHROOT_FILESYSTEM}" in
70 squashfs)
71 echo "squashfs-tools" >> source-selection.txt
72 ;;
73 esac
6274
6375 case "${LB_BINARY_FILESYSTEM}" in
6476 fat*)
0 #!/bin/sh
1
2 ## live-build(7) - System Build Scripts
3 ## Copyright (C) 2006-2013 Daniel Baumann <[email protected]>
4 ##
5 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
6 ## This is free software, and you are welcome to redistribute it
7 ## under certain conditions; see COPYING for details.
8
9
10 set -e
11
12 # Including common functions
13 [ -e "${LIVE_BUILD}/scripts/build.sh" ] && . "${LIVE_BUILD}/scripts/build.sh" || . /usr/lib/live/build.sh
14
15 # Setting static variables
16 DESCRIPTION="$(Echo 'execute hooks in source')"
17 HELP=""
18 USAGE="${PROGRAM} [--force]"
19
20 Arguments "${@}"
21
22 # Reading configuration files
23 Read_conffiles config/all config/common config/bootstrap config/chroot config/source config/source
24 Set_defaults
25
26 Echo_message "Begin executing hooks..."
27
28 # Requiring stage file
29 Require_stagefile .build/config .build/bootstrap
30
31 # Checking stage file
32 Check_stagefile .build/source_hooks
33
34 # Checking lock file
35 Check_lockfile .lock
36
37 # Creating lock file
38 Create_lockfile .lock
39
40 ## Processing distribution hooks
41
42 # Running hooks
43 for _HOOK in ${LB_BINARY_HOOKS}
44 do
45 for LOCATION in "${LIVE_BUILD}/hooks" /usr/share/live/build/hooks
46 do
47 for FILE in "${LOCATION}"/????-"${_HOOK}".source
48 do
49 if [ -e "${FILE}" ]
50 then
51 cd source
52 "${FILE}" || { Echo_error "${_HOOK} failed (exit non-zero). You should check for errors."; exit 1 ;}
53 cd "${OLDPWD}"
54 fi
55 done
56 done
57 done
58
59 ## Processing local hooks
60
61 if Find_files config/hooks/*.source
62 then
63 for HOOK in config/hooks/*.source
64 do
65 # Making hook executable
66 if [ ! -x "${HOOK}" ]
67 then
68 chmod +x "${HOOK}"
69 fi
70
71 # Executing hook
72 ./"${HOOK}" || { Echo_error "${HOOK} failed (exit non-zero). You should check for errors."; exit 1 ;}
73 done
74
75 # Creating stage file
76 Create_stagefile .build/source_hooks
77 fi
00
11 <h3>Submit your parameters (<b>working</b> email address is required) to generate your very own Debian Live system.</h3>
22
3 <form action="live-build" method="get">
3 <form action="live-build" method="post">
44
55 <fieldset>
66
00 set default=0
11
22 insmod tga
3 background_image ($root)/boot/grub/xbmc.tga
3 background_image ($root)/boot/grub/splash.tga
44 set color_normal=cyan/blue
55 set color_highlight=white/blue
66
Binary diff not shown